Subject: bug#17007: 24.3.50; describe-key/function evaluates documentation function in the wrong buffer

From: Nicolas Richard <[email-masked]>
Date: Sun, 16 Mar 2014 12:45:21 +0100

martin rudalics <[email-masked]> writes:
>> The 24.3 version of with-help-window used with-output-to-temp-buffer
>> AFAICT.
>
> I have tried to fix all problems I found in this area.  If you have some
> spare time could you please try to give the new `with-help-window' and
> `with-temp-buffer-window' code some checking?  After all, you were the
> one who detected the inconsistency that was the root of all evil here
> and I trust that you could detect any remaining inconsistencies as well.

The fact that I found an inconsistency in the first place is because I'm
not a heavy user of that kind of code, hence I relied on the docstring.
Of course I'll report anything that I find, but I don't expect much from
myself.

Thanks for your fixes.

-- 
Nico.